# $Revision: 1.15 $, $Date: 2004/03/31 21:04:22 $
Summary:	libstrfunc - library for manipulating strings
Summary(pl):	libstrfunc - biblioteka do manipulowania stringami
Name:		libstrfunc
Version:	7.4.7
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://www.spelio.net.ru/soft/%{name}-%{version}.tar.gz
# Source0-md5:	7966dbda3a65ecef19b06861b766e74b
URL:		http://www.spelio.net.ru/soft/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Handy library for manipulating strings, string arrays, buffers, CGI
forms, config files et cetera. Handles base64, quoted-printable,
url_encode, mime-words and other encoded data.

%description -l pl
Porczna biblioteka do manipulowania stringami, tablicami, buforami,
formularzami CGI, plikami konfiguracyjnymi et cetera.

%package devel
Summary:	Header files and development documentation for libstrfunc
Summary(pl):	Pliki nagwkowe i dokumentacja do libstrfunc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for libstrfunc.

%description devel -l pl
Pliki nagwkowe i dokumentacja do libstrfunc.

%package static
Summary:	libstrfunc - static library
Summary(pl):	libstrfunc - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library.

%description static -l pl
Biblioteka statyczna.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# don't include "aliases" (copies of base manuals) as they have too common names
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/{[!s],s[!ft],sf[!_],str[!f],strfunc_ctl}*

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*.h
%{_mandir}/man3/strfunc.3*
%{_mandir}/man3/sf_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libstrfunc.spec,v $
Revision 1.15  2004/03/31 21:04:22  qboosh
- updated to 7.4.7, removed obsolete ac_am patch; builds now

Revision 1.14  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:50:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/07/29 21:12:04  kloczek
- release 3: more macroc and use new %dc.

Revision 1.10  2002/04/16 12:58:12  marcus
- rel.2.

Revision 1.9  2002/03/27 11:35:31  roman
s/BSDish/BSD-like in License

Revision 1.8  2002/03/27 10:39:23  roman
- License: BSD like --> License: BSDish

Revision 1.7  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/02 20:25:32  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.4  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/14 11:46:18  filon
- changed to %%%configure2_13, to make it build

Revision 1.2  2001/05/21 17:32:52  kloczek
- seems License is BSD like,
- cosmetics.

Revision 1.1  2001/05/20 16:21:56  michuz
- initial release
